Mojolicious::Command::routes(3)

NAME
Mojolicious::Command::routes - Routes command

SYNOPSIS
  Usage: APPLICATION routes [OPTIONS]

    ./myapp.pl routes
    ./myapp.pl routes -v

  Options:
    -h, --help          Show this summary of available options
        --home <path>   Path to home directory of your application, defaults to
                        the value of MOJO_HOME or auto-detection
    -m, --mode <name>   Operating mode for your application, defaults to the
                        value of MOJO_MODE/PLACK_ENV or "development"
    -v, --verbose       Print additional details about routes, flags indicate
                        C=Conditions, P=Partial, U=Under and W=WebSocket

DESCRIPTION
Mojolicious::Command::routes lists all your application routes.

This is a core command, that means it is always enabled and its code a good example for learning to build new commands, you're welcome to fork it.

See "COMMANDS" in Mojolicious::Commands for a list of commands that are available by default.

ATTRIBUTES
Mojolicious::Command::routes inherits all attributes from Mojolicious::Command and implements the following new ones.

  description
  my $description = $routes->description;
  $routes         = $routes->description('Foo');

Short description of this command, used for the command list.

  usage
  my $usage = $routes->usage;
  $routes   = $routes->usage('Foo');

Usage information for this command, used for the help screen.

METHODS
Mojolicious::Command::routes inherits all methods from Mojolicious::Command and implements the following new ones.

  run
  $routes->run(@ARGV);

Run this command.

SEE ALSO
Mojolicious, Mojolicious::Guides, <https://mojolicious.org>.